Changeset 64


Ignore:
Timestamp:
Oct 11, 2006 5:09:31 PM (13 years ago)
Author:
pbonami
Message:

Add a new (unstested yet) interface to filterSqp

Location:
branches/devel/Bonmin
Files:
22 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Bonmin/Makefile.in

    r1 r64  
    161161COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    162162COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     163COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     164COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    163165COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    164166COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    206208FMPINCDIR = @FMPINCDIR@
    207209FMPLIB = @FMPLIB@
     210FSQPINCDIR = @FSQPINCDIR@
     211FSQPLIB = @FSQPLIB@
    208212GLPKINCDIR = @GLPKINCDIR@
    209213GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/configure

    r59 r64  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE IPOPTSRCDIR IPOPTOBJDIR COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE BCPSRCDIR BCPOBJDIR COIN_HAS_BCP_TRUE COIN_HAS_BCP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE BUILD_FP_TRUE BUILD_FP_FALSE ASTYLE ASTYLEFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS CBCSRCDIR CBCOBJDIR COIN_HAS_CBC_TRUE COIN_HAS_CBC_FALSE CGLSRCDIR CGLOBJDIR COIN_HAS_CGL_TRUE COIN_HAS_CGL_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE DYLPSRCDIR DYLPOBJDIR COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE IPOPTSRCDIR IPOPTOBJDIR COIN_HAS_IPOPT_TRUE COIN_HAS_IPOPT_FALSE OSISRCDIR OSIOBJDIR COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE SYMSRCDIR SYMOBJDIR COIN_HAS_SYM_TRUE COIN_HAS_SYM_FALSE VOLSRCDIR VOLOBJDIR COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE BCPSRCDIR BCPOBJDIR COIN_HAS_BCP_TRUE COIN_HAS_BCP_FALSE CPXINCDIR CPXLIB COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE FMPINCDIR FMPLIB COIN_HAS_FMP_TRUE COIN_HAS_FMP_FALSE MSKINCDIR MSKLIB COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE OSLINCDIR OSLLIB COIN_HAS_OSL_TRUE COIN_HAS_OSL_FALSE SPXINCDIR SPXLIB COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPRINCDIR XPRLIB COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE FSQPINCDIR FSQPLIB COIN_HAS_FSQP_TRUE COIN_HAS_FSQP_FALSE ASLLIB ASL_CPPFLAGS COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE BUILD_FP_TRUE BUILD_FP_FALSE ASTYLE ASTYLEFLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11041104                          use disable-xpress-libcheck to skip the
    11051105                          link check at configuration time
     1106  --enable-filtersqp-libcheck
     1107                          use disable-filtersqp-libcheck to skip
     1108                          the link check at configuration time
    11061109
    11071110Optional Packages:
     
    11341137                          Xpress
    11351138  --with-xpress-lib specify the flags to link with the library Xpress
     1139  --with-filtersqp-incdir specify the directory with the header files for
     1140                          library filterSqp
     1141  --with-filtersqp-lib specify the flags to link with the library filterSqp
    11361142  --with-asldir           specify path to AMPL solver directory (or BUILD for
    11371143                          compilation, or "no" for disabling AMPL)
     
    47304736*-*-irix6*)
    47314737  # Find out which ABI we are using.
    4732   echo '#line 4732 "configure"' > conftest.$ac_ext
     4738  echo '#line 4738 "configure"' > conftest.$ac_ext
    47334739  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47344740  (eval $ac_compile) 2>&5
     
    58645870
    58655871# Provide some information about the compiler.
    5866 echo "$as_me:5866:" \
     5872echo "$as_me:5872:" \
    58675873     "checking for Fortran 77 compiler version" >&5
    58685874ac_compiler=`set X $ac_compile; echo $2`
     
    69316937   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    69326938   -e 's:$: $lt_compiler_flag:'`
    6933    (eval echo "\"\$as_me:6933: $lt_compile\"" >&5)
     6939   (eval echo "\"\$as_me:6939: $lt_compile\"" >&5)
    69346940   (eval "$lt_compile" 2>conftest.err)
    69356941   ac_status=$?
    69366942   cat conftest.err >&5
    6937    echo "$as_me:6937: \$? = $ac_status" >&5
     6943   echo "$as_me:6943: \$? = $ac_status" >&5
    69386944   if (exit $ac_status) && test -s "$ac_outfile"; then
    69396945     # The compiler can only warn and ignore the option if not recognized
     
    71997205   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72007206   -e 's:$: $lt_compiler_flag:'`
    7201    (eval echo "\"\$as_me:7201: $lt_compile\"" >&5)
     7207   (eval echo "\"\$as_me:7207: $lt_compile\"" >&5)
    72027208   (eval "$lt_compile" 2>conftest.err)
    72037209   ac_status=$?
    72047210   cat conftest.err >&5
    7205    echo "$as_me:7205: \$? = $ac_status" >&5
     7211   echo "$as_me:7211: \$? = $ac_status" >&5
    72067212   if (exit $ac_status) && test -s "$ac_outfile"; then
    72077213     # The compiler can only warn and ignore the option if not recognized
     
    73037309   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73047310   -e 's:$: $lt_compiler_flag:'`
    7305    (eval echo "\"\$as_me:7305: $lt_compile\"" >&5)
     7311   (eval echo "\"\$as_me:7311: $lt_compile\"" >&5)
    73067312   (eval "$lt_compile" 2>out/conftest.err)
    73077313   ac_status=$?
    73087314   cat out/conftest.err >&5
    7309    echo "$as_me:7309: \$? = $ac_status" >&5
     7315   echo "$as_me:7315: \$? = $ac_status" >&5
    73107316   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    73117317   then
     
    96489654  lt_status=$lt_dlunknown
    96499655  cat > conftest.$ac_ext <<EOF
    9650 #line 9650 "configure"
     9656#line 9656 "configure"
    96519657#include "confdefs.h"
    96529658
     
    97489754  lt_status=$lt_dlunknown
    97499755  cat > conftest.$ac_ext <<EOF
    9750 #line 9750 "configure"
     9756#line 9756 "configure"
    97519757#include "confdefs.h"
    97529758
     
    1209212098   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1209312099   -e 's:$: $lt_compiler_flag:'`
    12094    (eval echo "\"\$as_me:12094: $lt_compile\"" >&5)
     12100   (eval echo "\"\$as_me:12100: $lt_compile\"" >&5)
    1209512101   (eval "$lt_compile" 2>conftest.err)
    1209612102   ac_status=$?
    1209712103   cat conftest.err >&5
    12098    echo "$as_me:12098: \$? = $ac_status" >&5
     12104   echo "$as_me:12104: \$? = $ac_status" >&5
    1209912105   if (exit $ac_status) && test -s "$ac_outfile"; then
    1210012106     # The compiler can only warn and ignore the option if not recognized
     
    1219612202   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1219712203   -e 's:$: $lt_compiler_flag:'`
    12198    (eval echo "\"\$as_me:12198: $lt_compile\"" >&5)
     12204   (eval echo "\"\$as_me:12204: $lt_compile\"" >&5)
    1219912205   (eval "$lt_compile" 2>out/conftest.err)
    1220012206   ac_status=$?
    1220112207   cat out/conftest.err >&5
    12202    echo "$as_me:12202: \$? = $ac_status" >&5
     12208   echo "$as_me:12208: \$? = $ac_status" >&5
    1220312209   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1220412210   then
     
    1376613772   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1376713773   -e 's:$: $lt_compiler_flag:'`
    13768    (eval echo "\"\$as_me:13768: $lt_compile\"" >&5)
     13774   (eval echo "\"\$as_me:13774: $lt_compile\"" >&5)
    1376913775   (eval "$lt_compile" 2>conftest.err)
    1377013776   ac_status=$?
    1377113777   cat conftest.err >&5
    13772    echo "$as_me:13772: \$? = $ac_status" >&5
     13778   echo "$as_me:13778: \$? = $ac_status" >&5
    1377313779   if (exit $ac_status) && test -s "$ac_outfile"; then
    1377413780     # The compiler can only warn and ignore the option if not recognized
     
    1387013876   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1387113877   -e 's:$: $lt_compiler_flag:'`
    13872    (eval echo "\"\$as_me:13872: $lt_compile\"" >&5)
     13878   (eval echo "\"\$as_me:13878: $lt_compile\"" >&5)
    1387313879   (eval "$lt_compile" 2>out/conftest.err)
    1387413880   ac_status=$?
    1387513881   cat out/conftest.err >&5
    13876    echo "$as_me:13876: \$? = $ac_status" >&5
     13882   echo "$as_me:13882: \$? = $ac_status" >&5
    1387713883   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1387813884   then
     
    1607716083   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1607816084   -e 's:$: $lt_compiler_flag:'`
    16079    (eval echo "\"\$as_me:16079: $lt_compile\"" >&5)
     16085   (eval echo "\"\$as_me:16085: $lt_compile\"" >&5)
    1608016086   (eval "$lt_compile" 2>conftest.err)
    1608116087   ac_status=$?
    1608216088   cat conftest.err >&5
    16083    echo "$as_me:16083: \$? = $ac_status" >&5
     16089   echo "$as_me:16089: \$? = $ac_status" >&5
    1608416090   if (exit $ac_status) && test -s "$ac_outfile"; then
    1608516091     # The compiler can only warn and ignore the option if not recognized
     
    1634516351   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1634616352   -e 's:$: $lt_compiler_flag:'`
    16347    (eval echo "\"\$as_me:16347: $lt_compile\"" >&5)
     16353   (eval echo "\"\$as_me:16353: $lt_compile\"" >&5)
    1634816354   (eval "$lt_compile" 2>conftest.err)
    1634916355   ac_status=$?
    1635016356   cat conftest.err >&5
    16351    echo "$as_me:16351: \$? = $ac_status" >&5
     16357   echo "$as_me:16357: \$? = $ac_status" >&5
    1635216358   if (exit $ac_status) && test -s "$ac_outfile"; then
    1635316359     # The compiler can only warn and ignore the option if not recognized
     
    1644916455   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1645016456   -e 's:$: $lt_compiler_flag:'`
    16451    (eval echo "\"\$as_me:16451: $lt_compile\"" >&5)
     16457   (eval echo "\"\$as_me:16457: $lt_compile\"" >&5)
    1645216458   (eval "$lt_compile" 2>out/conftest.err)
    1645316459   ac_status=$?
    1645416460   cat out/conftest.err >&5
    16455    echo "$as_me:16455: \$? = $ac_status" >&5
     16461   echo "$as_me:16461: \$? = $ac_status" >&5
    1645616462   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1645716463   then
     
    2152921535
    2153021536
     21537echo "$as_me:$LINENO: checking if user provides library for filterSqp" >&5
     21538echo $ECHO_N "checking if user provides library for filterSqp... $ECHO_C" >&6
     21539
     21540# Check for header file directory
     21541
     21542# Check whether --with-filtersqp-incdir or --without-filtersqp-incdir was given.
     21543if test "${with_filtersqp_incdir+set}" = set; then
     21544  withval="$with_filtersqp_incdir"
     21545  FSQPINCDIR=`cd $withval; pwd`
     21546fi;
     21547# Check for library directory
     21548
     21549# Check whether --with-filtersqp-lib or --without-filtersqp-lib was given.
     21550if test "${with_filtersqp_lib+set}" = set; then
     21551  withval="$with_filtersqp_lib"
     21552  FSQPLIB=$withval
     21553fi;
     21554# Switch to disable library check if requested
     21555# Check whether --enable-filtersqp-libcheck or --disable-filtersqp-libcheck was given.
     21556if test "${enable_filtersqp_libcheck+set}" = set; then
     21557  enableval="$enable_filtersqp_libcheck"
     21558  filtersqp_libcheck=$enableval
     21559else
     21560  filtersqp_libcheck=yes
     21561fi;
     21562
     21563if test x"$FSQPINCDIR" != x || test x"$FSQPLIB" != x; then
     21564  coin_has_fsqp=true
     21565else
     21566  coin_has_fsqp=false
     21567fi
     21568
     21569if test $coin_has_fsqp = true; then
     21570# Check either both arguments or none are given
     21571  if test x"$FSQPINCDIR" = x || test x"$FSQPLIB" = x; then
     21572    { { echo "$as_me:$LINENO: error: You need to specify both --with-filtersqp-incdir and --with-filtersqp-lib if you want to use library filterSqp" >&5
     21573echo "$as_me: error: You need to specify both --with-filtersqp-incdir and --with-filtersqp-lib if you want to use library filterSqp" >&2;}
     21574   { (exit 1); exit 1; }; }
     21575  fi
     21576  echo "$as_me:$LINENO: result: yes" >&5
     21577echo "${ECHO_T}yes" >&6
     21578  # Check if the given header file is there
     21579
     21580  # Check if the symbol is provided in the library
     21581  # ToDo: FOR NOW WE ASSUME THAT WE ARE USING THE C++ COMPILER
     21582
     21583  ADDLIBS="$FSQPLIB $ADDLIBS"
     21584
     21585cat >>confdefs.h <<\_ACEOF
     21586#define COIN_HAS_FSQP 1
     21587_ACEOF
     21588
     21589else
     21590  echo "$as_me:$LINENO: result: no" >&5
     21591echo "${ECHO_T}no" >&6
     21592fi
     21593
     21594
     21595
     21596
     21597
     21598if test $coin_has_fsqp = true; then
     21599  COIN_HAS_FSQP_TRUE=
     21600  COIN_HAS_FSQP_FALSE='#'
     21601else
     21602  COIN_HAS_FSQP_TRUE='#'
     21603  COIN_HAS_FSQP_FALSE=
     21604fi
     21605
     21606 #ToDo
     21607
    2153121608#############################################################################
    2153221609#                       Other third party software                          #
     
    2209822175Usually this means the macro was only invoked conditionally." >&5
    2209922176echo "$as_me: error: conditional \"COIN_HAS_XPR\" was never defined.
     22177Usually this means the macro was only invoked conditionally." >&2;}
     22178   { (exit 1); exit 1; }; }
     22179fi
     22180if test -z "${COIN_HAS_FSQP_TRUE}" && test -z "${COIN_HAS_FSQP_FALSE}"; then
     22181  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_FSQP\" was never defined.
     22182Usually this means the macro was only invoked conditionally." >&5
     22183echo "$as_me: error: conditional \"COIN_HAS_FSQP\" was never defined.
    2210022184Usually this means the macro was only invoked conditionally." >&2;}
    2210122185   { (exit 1); exit 1; }; }
     
    2282722911s,@COIN_HAS_XPR_TRUE@,$COIN_HAS_XPR_TRUE,;t t
    2282822912s,@COIN_HAS_XPR_FALSE@,$COIN_HAS_XPR_FALSE,;t t
     22913s,@FSQPINCDIR@,$FSQPINCDIR,;t t
     22914s,@FSQPLIB@,$FSQPLIB,;t t
     22915s,@COIN_HAS_FSQP_TRUE@,$COIN_HAS_FSQP_TRUE,;t t
     22916s,@COIN_HAS_FSQP_FALSE@,$COIN_HAS_FSQP_FALSE,;t t
    2282922917s,@ASLLIB@,$ASLLIB,;t t
    2283022918s,@ASL_CPPFLAGS@,$ASL_CPPFLAGS,;t t
  • branches/devel/Bonmin/configure.ac

    r59 r64  
    8585AC_COIN_HAS_USER_LIBRARY([Soplex],[SPX],[spxsolver.h]) # ToDo
    8686AC_COIN_HAS_USER_LIBRARY([Xpress],[XPR],[xprs.h],[XPRSsetintcontrol])
     87AC_COIN_HAS_USER_LIBRARY([filterSqp],[FSQP]) #ToDo
    8788
    8889#############################################################################
  • branches/devel/Bonmin/examples/CppExample/MyTMINLP.cpp

    r49 r64  
    1111
    1212bool
    13 MyTMINLP::get_var_types(Index n, VariableType* var_types)
     13MyTMINLP::get_variables_types(Index n, VariableType* var_types)
    1414{
    1515  var_types[0] = BINARY;
     
    2121
    2222bool
    23 MyTMINLP::get_constraints_types(Index m, ConstraintType* const_types)
     23MyTMINLP::get_constraints_linearity(Index m, Ipopt::TNLP::LinearityType* const_types)
    2424{
    2525  assert (m==3);
    26   const_types[0] = NON_LINEAR;
    27   const_types[1] = LINEAR;
    28   const_types[2] = LINEAR;
     26  const_types[0] = Ipopt::TNLP::NON_LINEAR;
     27  const_types[1] = Ipopt::TNLP::LINEAR;
     28  const_types[2] = Ipopt::TNLP::LINEAR;
    2929  return true;
    3030}
  • branches/devel/Bonmin/examples/CppExample/MyTMINLP.hpp

    r58 r64  
    4848  \param var_types types of the variables (has to be filled by function).
    4949  */
    50   virtual bool get_var_types(Index n, VariableType* var_types);
     50  virtual bool get_variables_types(Index n, VariableType* var_types);
    5151 
    5252  /** Pass the type of the constraints (LINEAR, NON_LINEAR) to the optimizer.
     
    5454  \param const_types types of the constraints (has to be filled by function).
    5555  */
    56   virtual bool get_constraints_types(Index m, ConstraintType* const_types);
     56  virtual bool get_constraints_linearity(Index m, Ipopt::TNLP::LinearityType* const_types);
    5757//@} 
    5858   
  • branches/devel/Bonmin/experimental/Bcp/Makefile.in

    r26 r64  
    152152COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    153153COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     154COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     155COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    154156COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    155157COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    197199FMPINCDIR = @FMPINCDIR@
    198200FMPLIB = @FMPLIB@
     201FSQPINCDIR = @FSQPINCDIR@
     202FSQPLIB = @FSQPLIB@
    199203GLPKINCDIR = @GLPKINCDIR@
    200204GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/experimental/FP/Makefile.in

    r26 r64  
    162162COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    163163COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     164COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     165COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    164166COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    165167COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    207209FMPINCDIR = @FMPINCDIR@
    208210FMPLIB = @FMPLIB@
     211FSQPINCDIR = @FSQPINCDIR@
     212FSQPLIB = @FSQPLIB@
    209213GLPKINCDIR = @GLPKINCDIR@
    210214GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/src/Apps/Makefile.am

    r57 r64  
    4444        $(COINUTILSOBJDIR)/src/libCoinUtils.la \
    4545        $(CPXLIB)
     46endif
     47
     48if COIN_HAS_FSQP
     49  COINLIBS += \
     50        $(FSQPLIB)
    4651endif
    4752
  • branches/devel/Bonmin/src/Apps/Makefile.in

    r57 r64  
    5050@COIN_HAS_CPX_TRUE@     $(CPXLIB)
    5151
    52 @COIN_HAS_CPX_TRUE@am__append_2 = \
     52@COIN_HAS_FSQP_TRUE@am__append_2 = \
     53@COIN_HAS_FSQP_TRUE@    $(FSQPLIB)
     54
     55@COIN_HAS_CPX_TRUE@am__append_3 = \
    5356@COIN_HAS_CPX_TRUE@     -I`$(CYGPATH_W) $(OSISRCDIR)/src/OsiCpx` \
    5457@COIN_HAS_CPX_TRUE@     -I`$(CYGPATH_W) $(CPXINCDIR)`
     
    9093@COIN_HAS_CPX_TRUE@     $(COINUTILSOBJDIR)/src/libCoinUtils.la \
    9194@COIN_HAS_CPX_TRUE@     $(am__DEPENDENCIES_2)
    92 am__DEPENDENCIES_4 = $(CBCOBJDIR)/src/libCbc.la \
     95@COIN_HAS_FSQP_TRUE@am__DEPENDENCIES_4 = $(am__DEPENDENCIES_2)
     96am__DEPENDENCIES_5 = $(CBCOBJDIR)/src/libCbc.la \
    9397        $(CGLOBJDIR)/src/libCgl.la \
    9498        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    9599        $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    96         $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__DEPENDENCIES_3)
     100        $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__DEPENDENCIES_3) \
     101        $(am__DEPENDENCIES_4)
    97102bonmin_DEPENDENCIES = ../BonminAmplInterface/libamplinterface.la \
    98103        libbonmin.la \
    99104        $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la \
    100105        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
    101         $(am__DEPENDENCIES_4) $(am__DEPENDENCIES_2)
     106        $(am__DEPENDENCIES_5) $(am__DEPENDENCIES_2)
    102107am_nodeSolver_OBJECTS = nodeSolver.$(OBJEXT)
    103108nodeSolver_OBJECTS = $(am_nodeSolver_OBJECTS)
     
    106111        $(IPOPTOBJDIR)/src/Apps/AmplSolver/libamplinterface.la \
    107112        $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
    108         $(am__DEPENDENCIES_4)
     113        $(am__DEPENDENCIES_5)
    109114depcomp = $(SHELL) $(top_srcdir)/../depcomp
    110115am__depfiles_maybe = depfiles
     
    178183COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    179184COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     185COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     186COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    180187COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    181188COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    223230FMPINCDIR = @FMPINCDIR@
    224231FMPLIB = @FMPLIB@
     232FSQPINCDIR = @FSQPINCDIR@
     233FSQPLIB = @FSQPLIB@
    225234GLPKINCDIR = @GLPKINCDIR@
    226235GLPKLIB = @GLPKLIB@
     
    347356        $(OSIOBJDIR)/src/OsiClp/libOsiClp.la \
    348357        $(OSIOBJDIR)/src/libOsi.la $(CLPOBJDIR)/src/libClp.la \
    349         $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_1)
     358        $(COINUTILSOBJDIR)/src/libCoinUtils.la $(am__append_1) \
     359        $(am__append_2)
    350360IPOPTLIBS = \
    351361        $(IPOPTOBJDIR)/src/Interfaces/libipopt.la
     
    384394        $(COINUTILSOBJDIR)/inc` -I`$(CYGPATH_W) $(OSISRCDIR)/src` \
    385395        -I`$(CYGPATH_W) $(CBCSRCDIR)/src` -I`$(CYGPATH_W) \
    386         $(CBCSRCDIR)/examples` $(am__append_2)
     396        $(CBCSRCDIR)/examples` $(am__append_3)
    387397
    388398# This line is necessary to allow VPATH compilation with MS compilers
  • branches/devel/Bonmin/src/BonminAmplInterface/BonAmplTMINLP.cpp

    r62 r64  
    187187  }
    188188
    189   bool AmplTMINLP::get_var_types(Index n, VariableType* var_types)
     189  bool AmplTMINLP::get_variables_types(Index n, VariableType* var_types)
    190190  {
    191191    // The variables are sorted by type in AMPL, so all we need to
     
    280280  }
    281281
    282   bool AmplTMINLP::get_constraints_types(Index n, ConstraintType* const_types)
    283   {
    284     ASL_pfgh* asl = ampl_tnlp_->AmplSolverObject();
    285     //check that n is good
    286     DBG_ASSERT(n == n_con);
    287     // check that there are no network constraints
    288     DBG_ASSERT(nlnc == 0 && lnc == 0);
    289     //the first nlc constraints are non linear the rest is linear
    290     int i;
    291     for (i = 0 ; i < nlc ; i++)
    292       const_types[i]=NON_LINEAR;
    293     // the rest is linear
    294     for (; i < n_con ; i++)
    295       const_types[i]=LINEAR;
    296     return true;
     282
     283  /** Returns the constraint linearity.
     284    * array should be alocated with length at least n.*/
     285  bool
     286  AmplTMINLP::get_constraints_linearity(Index m,
     287                                        Ipopt::TNLP::LinearityType* const_types)
     288  {
     289    return ampl_tnlp_->get_constraints_linearity(m, const_types);
    297290  }
    298291
  • branches/devel/Bonmin/src/BonminAmplInterface/BonAmplTMINLP.hpp

    r62 r64  
    8383
    8484    /** returns the vector of variable types */
    85     virtual bool get_var_types(Index n, VariableType* var_types);
    86     /** return the vector of constraints types*/
    87     virtual bool get_constraints_types(Index n, ConstraintType* const_types);
     85    virtual bool get_variables_types(Index n, VariableType* var_types);
     86
     87    /** Returns the constraint linearity.
     88     * array should be alocated with length at least n.*/
     89    virtual bool get_constraints_linearity(Index m,
     90                                           Ipopt::TNLP::LinearityType* const_types);
     91
    8892    /** returns bounds of the nlp. Overloaded from TMINLP */
    8993    virtual bool get_bounds_info(Index n, Number* x_l, Number* x_u,
  • branches/devel/Bonmin/src/BonminAmplInterface/Makefile.in

    r58 r64  
    146146COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    147147COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     148COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     149COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    148150COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    149151COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    191193FMPINCDIR = @FMPINCDIR@
    192194FMPLIB = @FMPLIB@
     195FSQPINCDIR = @FSQPINCDIR@
     196FSQPLIB = @FSQPLIB@
    193197GLPKINCDIR = @GLPKINCDIR@
    194198GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/src/CbcBonmin/Makefile.in

    r57 r64  
    150150COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    151151COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     152COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     153COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    152154COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    153155COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    195197FMPINCDIR = @FMPINCDIR@
    196198FMPLIB = @FMPLIB@
     199FSQPINCDIR = @FSQPINCDIR@
     200FSQPLIB = @FSQPLIB@
    197201GLPKINCDIR = @GLPKINCDIR@
    198202GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/src/IpoptInterface/BonIpoptSolver.cpp

    r58 r64  
    3333  {
    3434    app_.Initialize(is);
     35    setMinlpDefaults(app_.Options());
    3536  }
    3637
  • branches/devel/Bonmin/src/IpoptInterface/BonOsiTMINLPInterface.cpp

    r58 r64  
    565565
    566566    if(source.constTypes_ != NULL) {
    567       constTypes_ = new Bonmin::TMINLP::ConstraintType[getNumRows()];
     567      constTypes_ = new Ipopt::TNLP::LinearityType [getNumRows()];
    568568      CoinCopyN(source.constTypes_, getNumRows(), constTypes_);
    569569    }
     
    604604      }
    605605      if(rhs.constTypes_ != NULL) {
    606         constTypes_ = new Bonmin::TMINLP::ConstraintType[getNumRows()];
     606        constTypes_ = new Ipopt::TNLP::LinearityType[getNumRows()];
    607607        CoinCopyN(rhs.constTypes_, getNumRows(), constTypes_);
    608608      }
     
    14771477//  if(constTypesNum_ != NULL) delete [] constTypesNum_;
    14781478
    1479   constTypes_ = new Bonmin::TMINLP::ConstraintType[getNumRows()];
    1480   tminlp_->get_constraints_types(getNumRows(), constTypes_);
     1479  constTypes_ = new Ipopt::TNLP::LinearityType[getNumRows()];
     1480  tminlp_->get_constraints_linearity(getNumRows(), constTypes_);
    14811481//  constTypesNum_ = new int[getNumRows()];
    14821482  for(int i = 0; i < getNumRows() ; i++) {
    1483     if(constTypes_[i]==Bonmin::TMINLP::LINEAR) {
     1483    if(constTypes_[i]==Ipopt::TNLP::LINEAR) {
    14841484      //constTypesNum_[i] =
    14851485      nLinear_++;
    14861486    }
    1487     else if(constTypes_[i]==Bonmin::TMINLP::NON_LINEAR) {
     1487    else if(constTypes_[i]==Ipopt::TNLP::NON_LINEAR) {
    14881488      //constTypesNum_[i] =
    14891489      nNonLinear_++;
     
    15081508  double norm = 0;
    15091509  for(int i = 0; i< numrows ; i++) {
    1510     if(constTypes_[i] == Bonmin::TMINLP::NON_LINEAR) {
     1510    if(constTypes_[i] == Ipopt::TNLP::NON_LINEAR) {
    15111511      double rowViolation = max(0.,rowLower[i] - g[i]);
    15121512      if(rowViolation  > 0.) rowViolation  /= fabs(rowLower[i]);
     
    16011601 
    16021602  for(int i = 0; i< m ; i++) {
    1603     if(constTypes_[i] == Bonmin::TMINLP::NON_LINEAR) {
     1603    if(constTypes_[i] == Ipopt::TNLP::NON_LINEAR) {
    16041604      if(rowLower[i] > - nlp_infty && rowUpper[i] < nlp_infty && fabs(duals[i]) == 0.)
    16051605      {
     
    16301630
    16311631  for(int i = 0 ; i < nnz_jac_g ; i++) {
    1632     if(constTypes_[jRow_[i] - 1] == Bonmin::TMINLP::NON_LINEAR) {
     1632    if(constTypes_[jRow_[i] - 1] == Ipopt::TNLP::NON_LINEAR) {
    16331633      //"clean" coefficient
    16341634      if(cleanNnz(jValues_[i],colLower[jCol_[i] - 1], colUpper[jCol_[i]-1],
     
    17701770  for(int i = 0 ; i < m ; i++) {
    17711771    {
    1772       if(constTypes_[i] == Bonmin::TMINLP::NON_LINEAR) {
     1772      if(constTypes_[i] == Ipopt::TNLP::NON_LINEAR) {
    17731773        //If constraint is equality not binding do not add
    17741774        if(rowLower[i] > -nlp_infty && rowUpper[i] < nlp_infty && fabs(duals[i]) == 0.)
     
    18261826        break;
    18271827      }
    1828       if(Bonmin::TMINLP::LINEAR //Always accept coefficients from linear constraints
     1828      if(Ipopt::TNLP::LINEAR //Always accept coefficients from linear constraints
    18291829          || //For other clean tinys
    18301830          cleanNnz(jValues_[i],colLower[jCol_[i] - 1], colUpper[jCol_[i]-1],
  • branches/devel/Bonmin/src/IpoptInterface/BonOsiTMINLPInterface.hpp

    r58 r64  
    956956
    957957  ///Store the types of the constraints (linear and nonlinear).
    958   Bonmin::TMINLP::ConstraintType * constTypes_;
     958  Ipopt::TNLP::LinearityType * constTypes_;
    959959  /* Numerotation of linear/nonlinear constraints
    960960   * Perform independent numerotation of linear (resp. nonlinear constraints)
  • branches/devel/Bonmin/src/IpoptInterface/BonTMINLP.hpp

    r55 r64  
    146146    };
    147147
    148     /** Type of the constraints*/
    149     enum ConstraintType
    150     {
    151       LINEAR/** Constraint contains only linear terms.*/,
    152       NON_LINEAR/**Constraint contains some non-linear terms.*/
    153     };
    154148
    155149    /**@name Constructors/Destructors */
     
    173167    /** overload this method to set the variable type. The var_types
    174168     *  array will be allocated with length n. */
    175     virtual bool get_var_types(Index n, VariableType* var_types)=0;
    176 
    177     /** overload this method to set the constraint types (linear or not)*/
    178     virtual bool get_constraints_types(Index m, ConstraintType* const_types)=0;
     169    virtual bool get_variables_types(Index n, VariableType* var_types)=0;
     170
     171    /** overload this method to return the constraint linearity.
     172     * array should be alocated with length at least n.*/
     173    virtual bool get_constraints_linearity(Index m,
     174                                           Ipopt::TNLP::LinearityType* const_types) = 0;
    179175
    180176    /** overload this method to return the information about the bound
  • branches/devel/Bonmin/src/IpoptInterface/BonTMINLP2TNLP.cpp

    r55 r64  
    5858
    5959    // retrieve the variable types
    60     tminlp_->get_var_types(n_, var_types_);
     60    tminlp_->get_variables_types(n_, var_types_);
    6161
    6262    // Allocate space for the internal copy of the variable bounds
  • branches/devel/Bonmin/src/IpoptInterface/Makefile.am

    r58 r64  
    3030        BonTNLP2FPNLP.cpp BonTNLP2FPNLP.hpp
    3131
     32if COIN_HAS_FSQP
     33libipoptinterface_la_SOURCES += \
     34        BonFilterSolver.cpp BonFilterSolver.hpp
     35endif
    3236# This is for libtool (on Windows)
    3337libipoptinterface_la_LDFLAGS = $(LT_LDFLAGS)
     
    6569        BonTNLP2FPNLP.hpp \
    6670        BonTNLPSolver.hpp \
    67         BonIpoptSolver.hpp
     71        BonIpoptSolver.hpp \
     72        BonFilterSolver.cpp
    6873
    6974#############################################################################
  • branches/devel/Bonmin/src/IpoptInterface/Makefile.in

    r58 r64  
    4444build_triplet = @build@
    4545host_triplet = @host@
     46@COIN_HAS_FSQP_TRUE@am__append_1 = \
     47@COIN_HAS_FSQP_TRUE@    BonFilterSolver.cpp BonFilterSolver.hpp
     48
    4649subdir = src/IpoptInterface
    4750DIST_COMMON = README $(include_HEADERS) $(srcdir)/Makefile.am \
     
    5760LTLIBRARIES = $(noinst_LTLIBRARIES)
    5861libipoptinterface_la_LIBADD =
     62am__libipoptinterface_la_SOURCES_DIST = BonBoundsReader.cpp \
     63        BonBoundsReader.hpp BonColReader.cpp BonColReader.hpp \
     64        BonStartPointReader.cpp BonStartPointReader.hpp \
     65        BonIpoptInterface.cpp BonIpoptInterface.hpp \
     66        BonOsiTMINLPInterface.cpp BonOsiTMINLPInterface.hpp \
     67        BonIpoptInteriorWarmStarter.cpp \
     68        BonIpoptInteriorWarmStarter.hpp BonIpoptWarmStart.cpp \
     69        BonIpoptWarmStart.hpp BonTMINLP2TNLP.cpp BonTMINLP2TNLP.hpp \
     70        BonTMINLP.cpp BonTMINLP.hpp BonIpoptSolver.hpp \
     71        BonIpoptSolver.cpp BonTNLPSolver.hpp BonTNLPSolver.cpp \
     72        BonTNLP2FPNLP.cpp BonTNLP2FPNLP.hpp BonFilterSolver.cpp \
     73        BonFilterSolver.hpp
     74@COIN_HAS_FSQP_TRUE@am__objects_1 = BonFilterSolver.lo
    5975am_libipoptinterface_la_OBJECTS = BonBoundsReader.lo BonColReader.lo \
    6076        BonStartPointReader.lo BonIpoptInterface.lo \
    6177        BonOsiTMINLPInterface.lo BonIpoptInteriorWarmStarter.lo \
    6278        BonIpoptWarmStart.lo BonTMINLP2TNLP.lo BonTMINLP.lo \
    63         BonIpoptSolver.lo BonTNLPSolver.lo BonTNLP2FPNLP.lo
     79        BonIpoptSolver.lo BonTNLPSolver.lo BonTNLP2FPNLP.lo \
     80        $(am__objects_1)
    6481libipoptinterface_la_OBJECTS = $(am_libipoptinterface_la_OBJECTS)
    6582depcomp = $(SHELL) $(top_srcdir)/../depcomp
     
    8299        $(AM_LDFLAGS) $(LDFLAGS) -o $@
    83100SOURCES = $(libipoptinterface_la_SOURCES)
    84 DIST_SOURCES = $(libipoptinterface_la_SOURCES)
     101DIST_SOURCES = $(am__libipoptinterface_la_SOURCES_DIST)
    85102am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    86103am__vpath_adj = case $$p in \
     
    149166COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    150167COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     168COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     169COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    151170COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    152171COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    194213FMPINCDIR = @FMPINCDIR@
    195214FMPLIB = @FMPLIB@
     215FSQPINCDIR = @FSQPINCDIR@
     216FSQPLIB = @FSQPLIB@
    196217GLPKINCDIR = @GLPKINCDIR@
    197218GLPKLIB = @GLPKLIB@
     
    309330noinst_LTLIBRARIES = libipoptinterface.la
    310331# List all source files, including headers
    311 libipoptinterface_la_SOURCES = \
    312         BonBoundsReader.cpp BonBoundsReader.hpp \
    313         BonColReader.cpp BonColReader.hpp \
    314         BonStartPointReader.cpp BonStartPointReader.hpp \
    315         BonIpoptInterface.cpp BonIpoptInterface.hpp \
    316         BonOsiTMINLPInterface.cpp BonOsiTMINLPInterface.hpp \
    317         BonIpoptInteriorWarmStarter.cpp BonIpoptInteriorWarmStarter.hpp \
    318         BonIpoptWarmStart.cpp BonIpoptWarmStart.hpp \
    319         BonTMINLP2TNLP.cpp BonTMINLP2TNLP.hpp \
    320         BonTMINLP.cpp BonTMINLP.hpp \
    321         BonIpoptSolver.hpp BonIpoptSolver.cpp \
    322         BonTNLPSolver.hpp BonTNLPSolver.cpp \
    323         BonTNLP2FPNLP.cpp BonTNLP2FPNLP.hpp
    324 
    325 
     332libipoptinterface_la_SOURCES = BonBoundsReader.cpp BonBoundsReader.hpp \
     333        BonColReader.cpp BonColReader.hpp BonStartPointReader.cpp \
     334        BonStartPointReader.hpp BonIpoptInterface.cpp \
     335        BonIpoptInterface.hpp BonOsiTMINLPInterface.cpp \
     336        BonOsiTMINLPInterface.hpp BonIpoptInteriorWarmStarter.cpp \
     337        BonIpoptInteriorWarmStarter.hpp BonIpoptWarmStart.cpp \
     338        BonIpoptWarmStart.hpp BonTMINLP2TNLP.cpp BonTMINLP2TNLP.hpp \
     339        BonTMINLP.cpp BonTMINLP.hpp BonIpoptSolver.hpp \
     340        BonIpoptSolver.cpp BonTNLPSolver.hpp BonTNLPSolver.cpp \
     341        BonTNLP2FPNLP.cpp BonTNLP2FPNLP.hpp $(am__append_1)
    326342# This is for libtool (on Windows)
    327343libipoptinterface_la_LDFLAGS = $(LT_LDFLAGS)
     
    359375        BonTNLP2FPNLP.hpp \
    360376        BonTNLPSolver.hpp \
    361         BonIpoptSolver.hpp
     377        BonIpoptSolver.hpp \
     378        BonFilterSolver.cpp
    362379
    363380
     
    443460@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonBoundsReader.Plo@am__quote@
    444461@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonColReader.Plo@am__quote@
     462@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonFilterSolver.Plo@am__quote@
    445463@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonIpoptInterface.Plo@am__quote@
    446464@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/BonIpoptInteriorWarmStarter.Plo@am__quote@
  • branches/devel/Bonmin/src/OaInterface/Makefile.in

    r58 r64  
    139139COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    140140COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     141COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     142COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    141143COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    142144COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    184186FMPINCDIR = @FMPINCDIR@
    185187FMPLIB = @FMPLIB@
     188FSQPINCDIR = @FSQPINCDIR@
     189FSQPLIB = @FSQPLIB@
    186190GLPKINCDIR = @GLPKINCDIR@
    187191GLPKLIB = @GLPKLIB@
  • branches/devel/Bonmin/test/Makefile.in

    r53 r64  
    161161COIN_HAS_FMP_FALSE = @COIN_HAS_FMP_FALSE@
    162162COIN_HAS_FMP_TRUE = @COIN_HAS_FMP_TRUE@
     163COIN_HAS_FSQP_FALSE = @COIN_HAS_FSQP_FALSE@
     164COIN_HAS_FSQP_TRUE = @COIN_HAS_FSQP_TRUE@
    163165COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    164166COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     
    206208FMPINCDIR = @FMPINCDIR@
    207209FMPLIB = @FMPLIB@
     210FSQPINCDIR = @FSQPINCDIR@
     211FSQPLIB = @FSQPLIB@
    208212GLPKINCDIR = @GLPKINCDIR@
    209213GLPKLIB = @GLPKLIB@
Note: See TracChangeset for help on using the changeset viewer.